### Function

# Qmi MessageWdsIndicationRegisterInput new

since: 1.32

#### Declaration [src]

    QmiMessageWdsIndicationRegisterInput*
    qmi_message_wds_indication_register_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdsIndicationRegisterInput`.

Available since: 1.32

#### Return value

Type: `QmiMessageWdsIndicationRegisterInput`

The newly created `QmiMessageWdsIndicationRegisterInput`. The returned value should be freed with qmi_message_wds_indication_register_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.